<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.parse.ParseResult (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.parse.ParseResult (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/class-use/ParseResult.html" target="_top">Frames</a></li>
<li><a href="ParseResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.parse.ParseResult" class="title">Uses of Class<br>org.apache.nutch.parse.ParseResult</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.analysis.lang">org.apache.nutch.analysis.lang</a></td>
<td class="colLast">
<div class="block">Text document language identifier.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.any23">org.apache.nutch.any23</a></td>
<td class="colLast">
<div class="block">This packages uses the <a href="https://any23.apache.org/">Apache Any23</a> library
 for parsing and extracting structured data in RDF format from a
 variety of Web documents.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.microformats.reltag">org.apache.nutch.microformats.reltag</a></td>
<td class="colLast">
<div class="block">
A microformats <a href="http://www.microformats.org/wiki/Rel-Tag">Rel-Tag</a>
Parser/Indexer/Querier plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse">org.apache.nutch.parse</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> interface and related classes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.ext">org.apache.nutch.parse.ext</a></td>
<td class="colLast">
<div class="block">Parse wrapper to run external command to do the parsing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.feed">org.apache.nutch.parse.feed</a></td>
<td class="colLast">
<div class="block">Parse RSS feeds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.headings">org.apache.nutch.parse.headings</a></td>
<td class="colLast">
<div class="block">Parse filter to extract headings (h1, h2, etc.) from DOM parse tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.html">org.apache.nutch.parse.html</a></td>
<td class="colLast">
<div class="block">An HTML document parsing plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.js">org.apache.nutch.parse.js</a></td>
<td class="colLast">
<div class="block">Parser and parse filter plugin to extract all (possible) links
 from JavaScript files and embedded JavaScript code snippets.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.metatags">org.apache.nutch.parse.metatags</a></td>
<td class="colLast">
<div class="block">Parse filter to extract meta tags: keywords, description, etc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.swf">org.apache.nutch.parse.swf</a></td>
<td class="colLast">
<div class="block">Parse Flash SWF files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.tika">org.apache.nutch.parse.tika</a></td>
<td class="colLast">
<div class="block">Parse various document formats with help of
 <a href="https://tika.apache.org/">Apache Tika</a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse.zip">org.apache.nutch.parse.zip</a></td>
<td class="colLast">
<div class="block">Parse ZIP files: embedded files are recursively passed to appropriate parsers.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parsefilter.debug">org.apache.nutch.parsefilter.debug</a></td>
<td class="colLast">
<div class="block">Adds serialized DOM to parse data, useful for debugging, to understand how
 the parser implementation interprets a document (not only HTML).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parsefilter.naivebayes">org.apache.nutch.parsefilter.naivebayes</a></td>
<td class="colLast">
<div class="block">Html Parse filter that classifies the outlinks from the parseresult as
 relevant or irrelevant based on the parseText's relevancy (using a training
 file where you can give positive and negative example texts see the
 description of parsefilter.naivebayes.trainfile) and if found irrelevent
 it gives the link a second chance if it contains any of the words from the
 list given in parsefilter.naivebayes.wordlist.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parsefilter.regex">org.apache.nutch.parsefilter.regex</a></td>
<td class="colLast">
<div class="block">RegexParseFilter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.creativecommons.nutch">org.creativecommons.nutch</a></td>
<td class="colLast">
<div class="block">Sample plugins that parse and index Creative Commons medadata.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.analysis.lang">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HTMLLanguageParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/analysis/lang/HTMLLanguageParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the HTML document looking at possible indications of content language<br>
 
 1.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HTMLLanguageParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/analysis/lang/HTMLLanguageParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the HTML document looking at possible indications of content language<br>
 
 1.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.any23">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">Any23ParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/any23/Any23ParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">Any23ParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/any23/Any23ParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.microformats.reltag">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">RelTagParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/microformats/reltag/RelTagParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the HTML document looking at possible rel-tags</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">RelTagParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/microformats/reltag/RelTagParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the HTML document looking at possible rel-tags</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseResult.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseResult.html#createParseResult-java.lang.String-org.apache.nutch.parse.Parse-">createParseResult</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Convenience method for obtaining <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse"><code>ParseResult</code></a> from a single
 <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HtmlParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/HtmlParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Adds metadata or otherwise modifies a parse of HTML content, given the DOM
 tree of a page.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HtmlParseFilters.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/HtmlParseFilters.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Run all defined filters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseStatus.html#getEmptyParseResult-java.lang.String-org.apache.hadoop.conf.Configuration-">getEmptyParseResult</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                   <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">Parser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/Parser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;c)</code>
<div class="block">
 This method parses the given content and returns a map of &lt;key,
 parse&gt; pairs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseUtil.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseUtil.html#parse-org.apache.nutch.protocol.Content-">parse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>
<div class="block">Performs a parse by iterating through a List of preferred <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>s
 until a successful parse is performed and a <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> object is
 returned.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseUtil.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseUtil.html#parseByExtensionId-java.lang.String-org.apache.nutch.protocol.Content-">parseByExtensionId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extId,
                  <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>
<div class="block">Method parses a <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> object using the <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a> specified
 by the parameter <code>extId</code>, i.e., the Parser's extension ID.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HtmlParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/HtmlParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Adds metadata or otherwise modifies a parse of HTML content, given the DOM
 tree of a page.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HtmlParseFilters.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/HtmlParseFilters.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Run all defined filters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.ext">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/ext/package-summary.html">org.apache.nutch.parse.ext</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/ext/package-summary.html">org.apache.nutch.parse.ext</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ExtParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ext/ExtParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.feed">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/feed/package-summary.html">org.apache.nutch.parse.feed</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/feed/package-summary.html">org.apache.nutch.parse.feed</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">FeedParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>
<div class="block">Parses the given feed and extracts out and parsers all linked items within
 the feed, using the underlying ROME feed parsing library.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.headings">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/headings/package-summary.html">org.apache.nutch.parse.headings</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/headings/package-summary.html">org.apache.nutch.parse.headings</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HeadingsParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/headings/HeadingsParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/headings/package-summary.html">org.apache.nutch.parse.headings</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HeadingsParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/headings/HeadingsParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.html">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/html/package-summary.html">org.apache.nutch.parse.html</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/html/package-summary.html">org.apache.nutch.parse.html</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">HtmlParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/HtmlParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.js">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/js/package-summary.html">org.apache.nutch.parse.js</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/js/package-summary.html">org.apache.nutch.parse.js</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/js/JSParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the JavaScript fragments of a HTML page looking for possible <a href="../../../../../org/apache/nutch/parse/Outlink.html" title="class in org.apache.nutch.parse"><code>Outlink</code></a>'s</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/js/JSParseFilter.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;c)</code>
<div class="block">Parse a JavaScript file and extract outlinks</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/js/package-summary.html">org.apache.nutch.parse.js</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/js/JSParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Scan the JavaScript fragments of a HTML page looking for possible <a href="../../../../../org/apache/nutch/parse/Outlink.html" title="class in org.apache.nutch.parse"><code>Outlink</code></a>'s</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.metatags">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/metatags/package-summary.html">org.apache.nutch.parse.metatags</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/metatags/package-summary.html">org.apache.nutch.parse.metatags</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">MetaTagsParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/metatags/MetaTagsParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/metatags/package-summary.html">org.apache.nutch.parse.metatags</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">MetaTagsParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/metatags/MetaTagsParser.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.swf">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/swf/package-summary.html">org.apache.nutch.parse.swf</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/swf/package-summary.html">org.apache.nutch.parse.swf</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">SWFParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/swf/SWFParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.tika">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/tika/package-summary.html">org.apache.nutch.parse.tika</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/tika/package-summary.html">org.apache.nutch.parse.tika</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">TikaParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/tika/TikaParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.zip">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parse/zip/package-summary.html">org.apache.nutch.parse.zip</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/zip/package-summary.html">org.apache.nutch.parse.zip</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ZipParser.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/zip/ZipParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parsefilter.debug">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parsefilter/debug/package-summary.html">org.apache.nutch.parsefilter.debug</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/debug/package-summary.html">org.apache.nutch.parsefilter.debug</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">DebugParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/debug/DebugParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/debug/package-summary.html">org.apache.nutch.parsefilter.debug</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">DebugParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/debug/DebugParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parsefilter.naivebayes">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parsefilter/naivebayes/package-summary.html">org.apache.nutch.parsefilter.naivebayes</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/naivebayes/package-summary.html">org.apache.nutch.parsefilter.naivebayes</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">NaiveBayesParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/naivebayes/NaiveBayesParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/naivebayes/package-summary.html">org.apache.nutch.parsefilter.naivebayes</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">NaiveBayesParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/naivebayes/NaiveBayesParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parsefilter.regex">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/apache/nutch/parsefilter/regex/package-summary.html">org.apache.nutch.parsefilter.regex</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/regex/package-summary.html">org.apache.nutch.parsefilter.regex</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegexParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/regex/RegexParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parsefilter/regex/package-summary.html">org.apache.nutch.parsefilter.regex</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegexParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parsefilter/regex/RegexParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.creativecommons.nutch">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a> in <a href="../../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a> that return <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">CCParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/creativecommons/nutch/CCParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Adds metadata or otherwise modifies a parse of an HTML document, given the
 DOM tree of a page.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">CCParseFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/creativecommons/nutch/CCParseFilter.html#filter-org.apache.nutch.protocol.Content-org.apache.nutch.parse.ParseResult-org.apache.nutch.parse.HTMLMetaTags-org.w3c.dom.DocumentFragment-">filter</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
      <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;parseResult,
      <a href="../../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse">HTMLMetaTags</a>&nbsp;metaTags,
      <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;doc)</code>
<div class="block">Adds metadata or otherwise modifies a parse of an HTML document, given the
 DOM tree of a page.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/class-use/ParseResult.html" target="_top">Frames</a></li>
<li><a href="ParseResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
